package com.ssm.manage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.io.Serializable;

/**
 * (StoreConversion)实体类
 *
 * @author makejava
 * @since 2022-03-14 18:55:24
 */
@Table(name = "store_conversion")
@JsonIgnoreProperties(ignoreUnknown = true)
public class StoreConversion {
    @Getter
    @Setter
    @Transient
    private String courseStoreNum;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 前门店ID
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 前门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 前门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 后门店ID
     */
    @Column(name = "stores_id")
    private Long storesId;
    /**
     * 后门店编码
     */
    @Column(name = "stores_num")
    private String storesNum;
    /**
     * 后门店名称
     */
    @Column(name = "stores_name")
    private String storesName;
    /**
     * 状态（0=新增，1=送审，2=审批通过，3=审核不通过）
     */
    @Column(name = "statu")
    private Integer statu;
    /**
     * 修改人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 修改人名称
     */
    @Column(name = "update_name")
    private String updateName;
    /**
     * 修改时间
     */
    @Column(name = "update_date")
    private Date updateDate;

    /**
     * 申请时间
     */
    @Column(name = "proposer_date")
    private Date proposerDate;

    /**
     * 申请人
     */
    @Column(name = "proposer_id")
    private Long proposerId;

    /**
     * 申请人名称
     */
    @Column(name = "proposer_name")
    private String proposerName;

    /**
     * 单据编码
     */
    @Column(name = "order_code")
    private String orderCode;


    /**
     * 申请人名称
     */
    @Column(name = "staff_id")
    private Long staffId;

    /**
     * 单据编码
     */
    @Column(name = "brand_number")
    private String brandNumber;


    /**
     * 申请人名称
     */
    @Column(name = "staff_name")
    private String staffName;

    /**
     * 单据编码
     */
    @Column(name = "staff_num")
    private String staffNum;

    @Column(name = "old_brand_number")
    @Getter@Setter
    private String oldBrandNumber;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getStoresId() {
        return storesId;
    }

    public void setStoresId(Long storesId) {
        this.storesId = storesId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoresNum() {
        return storesNum;
    }

    public void setStoresNum(String storesNum) {
        this.storesNum = storesNum;
    }

    public String getStoresName() {
        return storesName;
    }

    public void setStoresName(String storesName) {
        this.storesName = storesName;
    }

    public Integer getStatu() {
        return statu;
    }

    public void setStatu(Integer statu) {
        this.statu = statu;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getProposerDate() {
        return proposerDate;
    }

    public void setProposerDate(Date proposerDate) {
        this.proposerDate = proposerDate;
    }

    public Long getProposerId() {
        return proposerId;
    }

    public void setProposerId(Long proposerId) {
        this.proposerId = proposerId;
    }

    public String getProposerName() {
        return proposerName;
    }

    public void setProposerName(String proposerName) {
        this.proposerName = proposerName;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getBrandNumber() {
        return brandNumber;
    }

    public void setBrandNumber(String brandNumber) {
        this.brandNumber = brandNumber;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffNum() {
        return staffNum;
    }

    public void setStaffNum(String staffNum) {
        this.staffNum = staffNum;
    }
}

